Subject: Re: [bug#37269] Acknowledgement ([PATCH] build-system/asdf: Add option to compress programs.)

From: Ludovic Courtès <[email-masked]>
Date: Wed, 04 Sep 2019 14:07:12 +0200

Hello!

Katherine Cox-Buday <[email-masked]> skribis:

> Pierre Neidhardt <[email-masked]> writes:
>
>> This patch could be used by StumpWM and Next browser to compress the
>> binary. For Next, this compresses the binary from ~100 MiB to ~23 MiB.
>> There is no real drawback, the startup time is still well under
>> 100 ms.
>
> This is a great idea and something I lost when I moved from
> self-compiling SBCL to Guix's version!
>
> I am also not aware of any drawbacks, and I love that you implemented
> this as an option in the build-system. Should we default it to true?

Compressed files are opaque to the garbage collector scanner and to
grafting, so we could end up in situations like:

  https://issues.guix.gnu.org/issue/33848

(Which would be nice to address, BTW! :-))

Thus, I think we’ll have keep compression turned off.

Ludo’.